package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.common.entity.BaseEntity;

@ApiModel(value = "com-ym-mec-biz-dal-entity-InspectionItemPlanConclusion")
public class InspectionItemPlanConclusion extends BaseEntity {
    @ApiModelProperty(value = "")
    private Long id;

    /**
     * 计划id
     */
    @ApiModelProperty(value = "计划id")
    private Long planId;

    /**
     * 老师id
     */
    @ApiModelProperty(value = "课程id")
    private Long courseScheduleId;

    /**
     * 老师id
     */
    @ApiModelProperty(value = "老师id")
    private Integer teacherId;

    /**
     * 检查事项
     */
    @ApiModelProperty(value = "检查事项")
    private Integer checkItem;

    /**
     * 老师是否佩戴工牌
     */
    @ApiModelProperty(value = "检查结果")
    private Integer checkConclusion;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "班级信息")
    private String classInfo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getCheckItem() {
        return checkItem;
    }

    public void setCheckItem(Integer checkItem) {
        this.checkItem = checkItem;
    }

    public Integer getCheckConclusion() {
        return checkConclusion;
    }

    public void setCheckConclusion(Integer checkConclusion) {
        this.checkConclusion = checkConclusion;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getClassInfo() {
        return classInfo;
    }

    public void setClassInfo(String classInfo) {
        this.classInfo = classInfo;
    }
}